{% extends "front/base_unlogged.html" %}
{% load static %}
{% load i18n %}

{% block content %}

  <div class="row">
    <div class="col-md-3"></div>
    <div class="col-md-6">
      <h1>{% trans "Entrar" %}</h1>
      <form class="form" method="post">{% csrf_token %}
        <table>
          <tr>
            <th>
              <label for="id_email">Email:</label>
            </th>
            <td>
              <input type="text" name="username" autofocus id="id_email" required />
            </td>
          </tr>
          <tr>
            <th>
              <label for="id_password">{% trans "Palavra-passe" %}:</label>
            </th>
            <td>
              <input type="password" name="password" id="id_password" required />
            </td>
          </tr>
        </table>

        <div class="row">
          <div class="col-xs-6">
            <a id="password_recover" class="small" href="#">{% trans "Esqueci-me da palavra-passe" %}</a>
          </div>
          <div class="col-xs-6 text-right">
            <button class="btn btn-default" type="button" onclick="window.location.href='{% url 'front:register' %}'">{% trans "Registar-se" %}</button>
            <button class="btn btn-primary" type="submit" value="login">{% trans "Entrar" %}</button>
          </div>
        </div>
      </form>
      <br>

      <p class="text-warning text-large">{{ response }}</p>

      <div class="row text-center">
        <p style="margin-top: 20px;">-- {% trans "Ou entre via autenticação federada" %} --</p>
        <button class="btn btn-primary" type="button" onclick="window.location.href='/auth/'" title="EGI Federation Service">
          <img src="{% static 'front/img/egi.png' %}" width="60" alt="egi logo" />
        </button>
      </div>

    </div>
    <div class="col-md-3"></div>
  </div>

  <script type="text/javascript">
    $(function(){
      $('#password_recover').on('click', function () {
          if ($('#id_email').val() == '') {
            msg = '{% trans "Para recuperar a sua palavra-passe terá de indicar primeiro o email associado à sua conta OPENCoastS." %}';
            $('.text-warning').html(msg);
            return false;
          }

          // Clear text
          $('.text-warning').html('{% trans "a processar.. aguarde por favor.." %}');

          // Send form data via client-side
          $.ajax({
              type: 'POST',
              url: '{% url 'front:password_recover' %}',
              data: $('.form').serialize(),
              success: function(data) {
                console.log(data);
                  if (data['response']) {
                      $('.text-warning').html(data['response']);
                  }
              },
              error: function(e, x, r) {
                  console.log(r + ' - ' + e);
                  $('.text-warning').html('{% trans "Ocorreu um erro! Por favor tente mais tarde." %}');
              }
          });
      });
    });
  </script>

{% endblock content %}